Subject: Re: MIT Kfw SDK w/ Cygwin? Trying to build OpenSSH w/ GSS-API on Cygwin...
From: Jeffrey Altman <[email-masked]>
To: Nicolas Williams <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 3 Jan 2002 13:42:15 EST

> Looking at the dependencies of the Kfw DLLs I see that there is a
> dependency on MSVCRT.DLL.
> 
> *FAQ check: MSVCRT.DLL and cygwin1.dll are mutually exclusive*
> 
> But the dependency on MSVCRT.DLL by the MIT Kfw DLLs is indirect.

What do you mean by "indirect"?  The KFW DLLs are linked to MSVCRT.DLL.

> QUESTION: Does the MSVCRT.DLL/cygwin1.dll mutual exclusivity apply in
>           this case?

More than likely the answer is 'yes'.  You can't mix C runtime
environments.  You would need to compile KRB5 and GSSAPI with Cygwin.

> If so, then I'll give up on Kfw now and try Heimdal - unfortunately that
> probably means giving up on Leash32.

It means giving up on Leash because when you build with Cygwin you
probably will not have support for the Credential Cache API.

> QUESTION: Does the MIT krb5 stuff build on Cygwin? Kerbnet appears to
>           have died some time ago...

SSH support including GSSAPI and linkage to MIT Kerberos is now in my
K95 test builds.

 Jeffrey Altman * Sr.Software Designer      C-Kermit 8.0 available now!!!
 The Kermit Project @ Columbia University   includes Telnet, FTP and HTTP
 http://www.kermit-project.org/             secured with Kerberos, SRP, and 
 [email-masked]                OpenSSL. Interfaces with OpenSSH

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/